httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Matthew A. Bockol" <mboc...@carleton.edu>
Subject [users@httpd] httpd 2.2.4 crash in libapr / apr 1.2.8 / php 4.4.7
Date Tue, 19 Jun 2007 17:36:40 GMT

Hola folks,

I'm running into occasional "double free or corruption" and "free(): invalid pointer" errors
and I'm not sure how to proceed. Attached are the backtraces from the three different occasions
I've seen it so far. The problem seems to be happening in libapr, but I don't really understand
how to interpret it.  I'm not sure what precipitated the faults, so as yet I can't reproduce
them.

I've compiled just about everything from the original source tarballs:

Httpd 2.2.4
PHP 4.4.7
Mod_Perl 2.0.3
Embperl 2.2.0
Mod_Security 2.1.1
Suhosin 0.9.19
Subversion 1.4.3

Unmentioned modules included are all from the standard set. I can provide the full list if
it's useful.

The server is running RedHat Enterprise Linux 5 x86_64 and I believe everything I've compiled
is 64bit.

This is a lightly used server with folk currently doing dev work, but I was
hoping to replicate it for production and these crashes would be a show stopper. 

I'd appreciate any assistance you can provide.

Thanks,
Matt





Mime
View raw message